Package com.xebialabs.xlrelease.domain

## Class ExternalVariableServer

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.Configuration
      - - com.xebialabs.xlrelease.domain.ExternalVariableServer

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                virtual=true,
                versioned=false)
      public class ExternalVariableServer
      extends Configuration

  Configuration object for external variables to lookup their value with.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExternalVariableServer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getToken()` |
    `java.lang.String` | `getUrl()` |
    `int` | `hashCode()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `lookup​(java.util.List<PasswordStringVariable> variables)` | Resolves a list of password variables from an external server implementation.
    `void` | `setToken​(java.lang.String token)` |
    `void` | `setUrl​(java.lang.String url)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

      `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalVariableServer

          public ExternalVariableServer()

  - ### Method Detail

    - #### lookup

          public java.util.Map<java.lang.String,​java.lang.String> lookup​(java.util.List<PasswordStringVariable> variables)

      Resolves a list of password variables from an external server implementation. This method is not part of public API. DO NOT use it.
      Parameters:
        `variables` - the password variables that need resolving
      Returns:
        A map of external server values mapped to Variable#getKey()
      See Also:
        `Variable.getKey()`

    - #### getToken

          public java.lang.String getToken()

    - #### setToken

          public void setToken​(java.lang.String token)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl​(java.lang.String url)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `BaseConfigurationItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseConfigurationItem`